Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.marshall
Class VersionAwareMarshaller

    java.lang.Object
      org.jboss.cache.marshall.VersionAwareMarshaller

All Implemented Interfaces:
  org.jgroups.blocks.RpcDispatcher.Marshaller

    public class VersionAwareMarshaller

extends java.lang.Object
implements org.jgroups.blocks.RpcDispatcher.Marshaller

A facade to various other marshallers like `LegacyTreeCacheMarshaller` and `TreeCacheMarshaller140` which is version-aware.

Author:
  Manik Surtani (manik@jboss.org)

Constructor Summary
`VersionAwareMarshaller(RegionManager manager, boolean defaultInactive, boolean useRegionBasedMarshalling, java.lang.String version)`

Method Summary
`void` | `activate(java.lang.String subtreeFqn)`
`java.lang.ClassLoader` | `getClassLoader(java.lang.String fqnS)`
`void` | `inactivate(java.lang.String subtreeFqn)`
`boolean` | `isInactive(java.lang.String s)`
`java.lang.Object` | `objectFromByteBuffer(byte[] buf)`
`byte[]` | `objectToByteBuffer(java.lang.Object obj)`
`void` | `registerClassLoader(java.lang.String fqn, java.lang.ClassLoader cl)`
`void` | `unregisterClassLoader(java.lang.String fqn)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VersionAwareMarshaller

    public VersionAwareMarshaller(RegionManager manager,
                                  boolean defaultInactive,
                                  boolean useRegionBasedMarshalling,
                                  java.lang.String version)

Method Detail

### objectToByteBuffer

    public byte[] objectToByteBuffer(java.lang.Object obj)
                              throws java.lang.Exception

  Specified by:
    `objectToByteBuffer` in interface `org.jgroups.blocks.RpcDispatcher.Marshaller`
  Throws:
    `java.lang.Exception`

### objectFromByteBuffer

    public java.lang.Object objectFromByteBuffer(byte[] buf)
                                          throws java.lang.Exception

  Specified by:
    `objectFromByteBuffer` in interface `org.jgroups.blocks.RpcDispatcher.Marshaller`
  Throws:
    `java.lang.Exception`

### registerClassLoader

    public void registerClassLoader(java.lang.String fqn,
                                    java.lang.ClassLoader cl)
                             throws RegionNameConflictException

  Throws:
    `RegionNameConflictException`

### unregisterClassLoader

    public void unregisterClassLoader(java.lang.String fqn)
                               throws RegionNotFoundException

  Throws:
    `RegionNotFoundException`

### isInactive

    public boolean isInactive(java.lang.String s)

### getClassLoader

    public java.lang.ClassLoader getClassLoader(java.lang.String fqnS)
                                         throws RegionNotFoundException

  Throws:
    `RegionNotFoundException`

### inactivate

    public void inactivate(java.lang.String subtreeFqn)
                    throws RegionNameConflictException

  Throws:
    `RegionNameConflictException`

### activate

    public void activate(java.lang.String subtreeFqn)
                  throws RegionNameConflictException

  Throws:
    `RegionNameConflictException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.